# Critiques de Cakeisalie5 pour les CPC #23
## Introduction
Les CPC centrés sur les applications en code machine pour calculatrice CASIO,
dites "add-ins" (ou "addins"), n'attiraient déjà pas grand monde, voilà que la
décroissance continue avec seulement deux participations ce mois-ci. La cause
est toute bête : les calculatrices monochromes actuelles de CASIO n'ont plus
d'add-ins, d'e-activities (documents), ni même de mémoire de stockage, une
mémoire traditionnellement trouvée sur Graph 75(+E) ou supérieures, qui ne sont
plus proposées par CASIO depuis cette année. Il est donc courageux de la part
de nos deux participants d'avoir proposé quelque chose, même s'ils n'ont pas
utilisé tout le temps imparti : merci tout de même à eux !

Personnellement, j'espère que les calculatrices CASIO couleur se
démocratiseront dans les mois à venir, notamment avec l'arrivée de la
Graph 90+E (fx-CG50) dans nos rayons. Son prix est encore trop élevé, mais avec
la rétro-ingénierie déjà exercée sur ses prédécesseures (Prizm, aussi appelées
fx-CG10 ou fx-CG20), et si CASIO la rend encore plus accessibles, les prochains
CPC de Planète Casio pourraient peut-être se dérouler autour de ces machines !
Qu'en pensez-vous ?

Sans plus tarder, je fais place aux critiques, que je dois bien avouer avoir
fait un peu rapidement pour pouvoir passer à autre chose (d'habitude, j'écris
également un résumé de ma prise en main du jeu, des défauts que je trouve au
fur et à mesure, etc). Bonne lecture ! En espérant que mes critiques ne soit
pas digne d'une critique de Télérama. ;)

## Micro Battle par Yatis
- **Qualité du code, bugs : 0,5/2**  
  Je n'ai pas trouvé de bugs, mais un code typique de ceux qu'on trouve
  produits avec le SDK : pas de 80 colonnes ou équivalent, manque d'aération
  (pas suffisamment d'espaces, une indentation approximative),
  différents styles de commentaires, etc. Également, trop de valeurs hardcodées
  (code assez peu facilement compréhensibles/modifiables par un contributeur
  extérieur), on sent que le jeu a été fait dans la hâte.
- **Gameplay : 2/3**  
  Basique, mais inclue du réflexe et de la préçision. La difficulté vient aussi
  du fait qu'on affronte un adversaire réel.
- **Graphisme, présentation : 2/3**  
  Basique aussi, un peu désagréable à cause de la rémanence de l'écran, mais
  fonctionnel. Le numéro du joueur qui a gagné n'est pas suffisamment mis en
  valeur. Du reste, puisqu'il utilise le `GetKey` du système, il est possible
  d'aller dans le menu pour faire autre chose, puis de revenir à l'application
  sans soucis.
- **Durée de vie : 0,5/1**  
  Ce n'est pas un jeu qui apporte beaucoup, et puisqu'il est sur calculatrice,
  les joueurs se lassent assez rapidement (une ou deux parties).
- **Fidélité, originalité : 0,5/1**  
  Je n'ai jamais vu ce concept exact de jeu, mais le style de jeu en 2v2 local
  sur une calculatrice a déjà été exploité sur calculatrice CASIO (notamment
  en Basic CASIO, pour le coup), et est assez attendu pour un jeu de combat.
- **NOTE FINALE DU PROGRAMME : 5,5/10**

## Political Fight par Julese50
- **Qualité du code, bugs : 1,75/2**  
  C'est beaucoup plus propre que ce qui a traditionnellement été rendu aux
  CPC consacrés aux add-ins. Le fait qu'il s'agisse d'un add-in créé sous
  GNU/Linux avec gint y contribue sans doute.  
  Un couac cependant : la défaite n'est pas implémentée, ce qui fait que même
  lorsque le joueur est le "dernier" à rester, il continue de jouer jusqu'à
  ce qu'il perde (les mesures n'ont plus aucun impact sur les sondages, qui
  dégringolent jusqu'à la défaite).
- **Gameplay : 1/3**  
  Passé le concept qui peut paraître rigolo, ce jeu est aussi intéressant
  stratégiquement que le morpion. Une fois qu'on a isolé la stratégie
  gagnante, qui se trouve rapidement (regarder les sondages, investir là où
  le pourcentage est le plus faible, si impossible, récupérer de l'argent),
  il n'y a plus à réfléchir. La seule chose qui peut encore valoir le coup est
  de regarder ce qui vaut le plus le coup entre les différentes méthodes pour
  gagner de l'argent. Au-delà, c'est de la chance, puisque pour jouer stratégie,
  il faudrait au moins des options du type "Attendre" (pas plus de corruptions,
  mais pas plus de support du peuple, et même moins).  
  De plus, puisqu'il n'y a pas d'interaction avec les IA, celles-ci sont
  superficielles : elles auraient pu être remplacées par un nombre de tours à
  tenir réaliste tiré au sort au début de la partie.
- **Graphisme, présentation : 1/3**  
  Du texte bien présenté avec une belle police, pas d'image. Des petites images,
  du type la tête du joueur (ça pourrait aussi être sympa de lui rappeler le
  candidat qu'il est quelque part sur l'écran), auraient rendu le tout plus
  accueillant.
- **Durée de vie : 0,5/1**  
  Comme n'importe quel jeu basé sur le hasard, peut durer aussi longtemps
  qu'on souhaite que son cerveau se repose (et encore, PF demande plus
  d'interactions qu'un typique jeu de hasard, en plus de devoir lire le contenu
  de l'écran, ce qui réduit encore sa durée de vie par rapport à un jeu de
  type casino).
- **Fidélité, originalité : 0,75/1**  
  À ma connaissance, le seul jeu qui suive un tel concept.
  Le jeu est un peu décalé par rapport au thème, puisqu'il se veut davantage
  de stratégie, même si on est "en opposition" avec "des adversaires"
  (cf. Gameplay).

- **NOTE FINALE DU PROGRAMME : 5/10**
